#
# spec file for package ghc-hunit-dejafu
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name hunit-dejafu
Name:           ghc-%{pkg_name}
Version:        1.2.1.0
Release:        lp150.1.3
Summary:        Deja Fu support for the HUnit test framework
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-dejafu-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-rpm-macros

%description
Integration between the <https://hackage.haskell.org/package/dejafu dejafu>
library for concurrency testing and <https://hackage.haskell.org/package/HUnit
HUnit>. This lets you easily incorporate concurrency testing into your existing
test suites.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.rst README.markdown

%changelog
* Sun Jan 27 2019 psimons@suse.com
- Update hunit-dejafu to version 1.2.1.0.
  1.2.1.0 (2019-01-20)
  - -------------------
  * Git: :tag:`hunit-dejafu-1.2.1.0`
  * Hackage: :hackage:`hunit-dejafu-1.2.1.0`
  Added
  ~~~~~
  * Re-export of the ``Condition`` type from :hackage:`dejafu`.  If
    using dejafu < 1.12, this is an alias for ``Failure``.
  Miscellaneous
  ~~~~~~~~~~~~~
  * The upper bound on :hackage:`dejafu` is <1.13
* Wed Dec 26 2018 psimons@suse.com
- Add hunit-dejafu at version 1.2.0.6.
